[CI] add GDS pointers check test
diff --git a/.travis.yml b/.travis.yml
index dcb613d..16ba3de 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -40,6 +40,8 @@
       script: bash .travisCI/lvs/maglef-lvs-check.sh
     - name: "The README.rst Consistency Test"
       script: bash .travisCI/base_checks/git-check.sh
+    - name: "The GDS Pointers Test"
+      script: bash .travisCI/base_checks/gds-pointers.sh
     - name: "The Manifest Test"
       script:
         - bash .travisCI/base_checks/manifest-check.sh mag/
diff --git a/.travisCI/base_checks/gds-pointers.sh b/.travisCI/base_checks/gds-pointers.sh
new file mode 100644
index 0000000..e6c29dc
--- /dev/null
+++ b/.travisCI/base_checks/gds-pointers.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+# SPDX-FileCopyrightText: 2020 Efabless Corporation
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# SPDX-License-Identifier: Apache-2.0
+
+set -e
+
+cnt=$(grep -L "string GDS_FILE ../gds/" maglef/*.mag | wc -l)
+echo "count of maglef files without gds pointer: $cnt"
+
+if [ $cnt -eq 0 ]; then exit 0; fi
+exit 2